<?php $meta = _WSH()->get_meta();
	$allowed_tags = wp_kses_allowed_html('post');
    $post_thumbnail_id = get_post_thumbnail_id( $post->ID );
    $post_thumbnail_url = wp_get_attachment_url( $post_thumbnail_id );
?>

<?php
    $format = get_post_format( get_the_id() );
    if ( $format == 'video' ) :
?>

<!-- News Block -->
<div class="news-block-five m-b50">
    <div class="inner-box">
        <?php if(has_post_thumbnail()):?>
        <div class="image">
            <img src="<?php echo esc_url($post_thumbnail_url);?>" alt="<?php esc_attr_e( 'Awesome Image', 'bluerack' );?>">
            <a href="<?php echo esc_url(bluerack_set( $meta, 'video' )); ?>" class="link lightbox-image" data-fancybox="gallery" data-caption=""><span class="icon fa fa-play"></span></a>
        </div>
		<?php endif; ?>
        
        <div class="lower-content df-style">
            <ul class="post-info">
                <li><span class="icon fa fa-calendar"></span><?php echo get_the_date();?></li>
                <li><span class="icon fa fa-comment"></span><?php comments_number( wp_kses(__('0' , 'bluerack'), $allowed_tags), wp_kses(__('1' , 'bluerack'), $allowed_tags), wp_kses(__('%' , 'bluerack'), $allowed_tags)); ?></li>
                <li><span class="icon fa fa-user"></span><?php the_author(); ?></li>
            </ul>
            <h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="text"><?php the_excerpt(); ?></div>
            <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>" class="read-more"><?php esc_html_e('Read more', 'bluerack'); ?></a>
        </div>
        
    </div>
</div>

<?php elseif ( $format == 'gallery' ) :  ?>

<!-- News Block -->
<div class="news-block-five m-b50">
    <div class="inner-box">
        <?php if( has_post_thumbnail() ):?>
        <div class="image">
        	<div class="single-item-carousel owl-carousel owl-theme">
                <?php $gall_images = bluerack_set( $meta, 'gallery_imgs' );
					if( $gall_images ) :
					foreach ( $gall_images as $k => $gal_img ) :
				?>
                <a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><img src="<?php echo esc_url( bluerack_set( $gal_img, 'gallery_image' ) ); ?>" alt="<?php esc_attr_e( 'Awesome Image', 'bluerack' );?>"></a>
                <?php endforeach; endif; ?>
            </div>
        </div>
        <?php endif; ?>
        
        <div class="lower-content df-style">
            <ul class="post-info">
                <li><span class="icon fa fa-calendar"></span><?php echo get_the_date();?></li>
                <li><span class="icon fa fa-comment"></span><?php comments_number( wp_kses(__('0' , 'bluerack'), $allowed_tags), wp_kses(__('1' , 'bluerack'), $allowed_tags), wp_kses(__('%' , 'bluerack'), $allowed_tags)); ?></li>
                <li><span class="icon fa fa-user"></span><?php the_author(); ?></li>
            </ul>
            <h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="text"><?php the_excerpt(); ?></div>
            <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>" class="read-more"><?php esc_html_e('Read more', 'bluerack'); ?></a>
        </div>
        
    </div>
</div>

<?php elseif ( $format == 'quote' ) :  ?>

<!-- News Block -->
<div class="news-block-five m-b50">
    <div class="inner-box">
        <?php if(has_post_thumbnail()): 
			
			$post_thumbnail_id = get_post_thumbnail_id($post->ID);
			$post_thumbnail_url = wp_get_attachment_url( $post_thumbnail_id );
		?>
        <div class="image" style="background-image: url(<?php echo esc_url($post_thumbnail_url); ?>);">
            <div class="blockquote">
                <span class="icon fa fa-quote-left"></span>
                <h2><?php echo wp_kses(bluerack_set($meta, 'quote_description'), $allowed_tags); ?></h2>
                <span class="author"><?php echo wp_kses(bluerack_set($meta, 'author_name'), $allowed_tags); ?></span>
            </div>
        </div>
		<?php endif; ?>
        
        <div class="lower-content df-style">
            <ul class="post-info">
                <li><span class="icon fa fa-calendar"></span><?php echo get_the_date();?></li>
                <li><span class="icon fa fa-comment"></span><?php comments_number( wp_kses(__('0' , 'bluerack'), $allowed_tags), wp_kses(__('1' , 'bluerack'), $allowed_tags), wp_kses(__('%' , 'bluerack'), $allowed_tags)); ?></li>
                <li><span class="icon fa fa-user"></span><?php the_author(); ?></li>
            </ul>
            <h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="text"><?php the_excerpt(); ?></div>
            <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>" class="read-more"><?php esc_html_e('Read more', 'bluerack'); ?></a>
        </div>
    </div>
</div>

<?php else: ?>

<div class="news-block-five m-b50">
    <div class="inner-box">
        <?php if( has_post_thumbnail() ):?>
        <div class="image">
        	<a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_post_thumbnail('bluerack_1170x450'); ?></a>
        </div>
        <?php endif; ?>
        <div class="lower-content df-style">
            <ul class="post-info">
                <li><span class="icon fa fa-calendar"></span><?php echo get_the_date();?></li>
                <li><span class="icon fa fa-comment"></span><?php comments_number( wp_kses(__('0' , 'bluerack'), $allowed_tags), wp_kses(__('1' , 'bluerack'), $allowed_tags), wp_kses(__('%' , 'bluerack'), $allowed_tags)); ?></li>
                <li><span class="icon fa fa-user"></span><?php the_author(); ?></li>
            </ul>
            <h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="text"><?php the_excerpt(); ?></div>
            <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>" class="read-more"><?php esc_html_e('Read more', 'bluerack'); ?></a>
        </div>
    </div>
</div>

<?php endif; ?>