<?php add_action('after_setup_theme', 'bluerack_bunch_theme_setup');
function bluerack_bunch_theme_setup()
{
	global $wp_version;
	if(!defined('BLUERACK_VERSION')) define('BLUERACK_VERSION', '1.0');
	if( !defined( 'BLUERACK_ROOT' ) ) define('BLUERACK_ROOT', get_template_directory().'/');
	if( !defined( 'BLUERACK_URL' ) ) define('BLUERACK_URL', get_template_directory_uri().'/');	
	include_once get_template_directory() . '/includes/loader.php';
	
	
	load_theme_textdomain('bluerack', get_template_directory() . '/languages');
	
	//ADD THUMBNAIL SUPPORT
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' ); //Enables post and comment RSS feed links to head.
	add_theme_support( 'widgets' ); //Add widgets and sidebar support
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-header' );
	add_theme_support( 'custom-background' );
	add_theme_support( 'post', 'page-attributes' );
	add_theme_support( 'post-formats', array( 'gallery', 'video', 'quote' ) );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'editor-styles' );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
	/** Register wp_nav_menus */
	if(function_exists('register_nav_menu'))
	{
		register_nav_menus(
			array(
				/** Register Main Menu location header */
				'main_menu' => esc_html__('Main Menu', 'bluerack'),
				'footer_menu' => esc_html__('Footer Menu', 'bluerack'),
			)
		);
	}
	if ( ! isset( $content_width ) ) $content_width = 960;
	add_image_size( 'bluerack_80x80', 80, 80, true ); //'bluerack_80x80 Our Testimonials V1'
	add_image_size( 'bluerack_380x340', 380, 340, true ); //'bluerack_380x340 Our Team'
	add_image_size( 'bluerack_1170x450', 1170, 450, true ); //'bluerack_1170x450 Our Blog'
	add_image_size( 'bluerack_90x90', 90, 90, true ); //'bluerack_90x90 Latest Blog Widget'
}

function bluerack_gutenberg_editor_palette_styles() {
    add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'strong yellow', 'bluerack' ),
            'slug' => 'strong-yellow',
            'color' => '#f7bd00',
        ),
        array(
            'name' => esc_html__( 'strong white', 'bluerack' ),
            'slug' => 'strong-white',
            'color' => '#fff',
        ),
		array(
            'name' => esc_html__( 'light black', 'bluerack' ),
            'slug' => 'light-black',
            'color' => '#242424',
        ),
        array(
            'name' => esc_html__( 'very light gray', 'bluerack' ),
            'slug' => 'very-light-gray',
            'color' => '#797979',
        ),
        array(
            'name' => esc_html__( 'very dark black', 'bluerack' ),
            'slug' => 'very-dark-black',
            'color' => '#000000',
        ),
    ) );
	
	add_theme_support( 'editor-font-sizes', array(
		array(
			'name' => esc_html__( 'Small', 'bluerack' ),
			'size' => 10,
			'slug' => 'small'
		),
		array(
			'name' => esc_html__( 'Normal', 'bluerack' ),
			'size' => 15,
			'slug' => 'normal'
		),
		array(
			'name' => esc_html__( 'Large', 'bluerack' ),
			'size' => 24,
			'slug' => 'large'
		),
		array(
			'name' => esc_html__( 'Huge', 'bluerack' ),
			'size' => 36,
			'slug' => 'huge'
		)
	) );
	
}
add_action( 'after_setup_theme', 'bluerack_gutenberg_editor_palette_styles' );

function bluerack_bunch_widget_init()
{
	global $wp_registered_sidebars;
	$theme_options = _WSH()->option();
	register_sidebar(array(
	  'name' => esc_html__( 'Default Sidebar', 'bluerack' ),
	  'id' => 'default-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'bluerack' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	if(function_exists('bluerack_bunch_widget_init2')){
	register_sidebar(array(
	  'name' => esc_html__( 'Footer Sidebar', 'bluerack' ),
	  'id' => 'footer-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown in Footer Area.', 'bluerack' ),
	  'before_widget'=>'<div id="%1$s" class="col-sm-3 footer-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<h4>',
	  'after_title' => '</h4>'
	));
	}
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'bluerack' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'bluerack' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	if( !is_object( _WSH() )  )  return;
	$sidebars = bluerack_set(bluerack_set( $theme_options, 'dynamic_sidebar' ) , 'dynamic_sidebar' ); 
	foreach( array_filter((array)$sidebars) as $sidebar)
	{
		if(bluerack_set($sidebar , 'topcopy')) continue ;
		
		$name = bluerack_set( $sidebar, 'sidebar_name' );
		
		if( ! $name ) continue;
		$slug = bluerack_bunch_slug( $name ) ;
		
		register_sidebar( array(
			'name' => $name,
			'id' =>  sanitize_title( $slug ) ,
			'before_widget' => '<div id="%1$s" class="side-bar widget sidebar_widget %2$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="sidebar-title"><h2>',
			'after_title' => '</h2></div>',
		) );		
	}
	
	update_option('wp_registered_sidebars' , $wp_registered_sidebars) ;
}
add_action( 'widgets_init', 'bluerack_bunch_widget_init' );

// Update items in cart via AJAX
function bluerack_load_head_scripts() {
	$options = _WSH()->option();
    if ( !is_admin() ) {
		$protocol = is_ssl() ? 'https://' : 'http://';
		if( bluerack_set($options, 'map_api_key') ){
		$map_path = '?key='.bluerack_set($options, 'map_api_key');
		wp_enqueue_script( 'bluerack-map-api', ''.$protocol.'maps.google.com/maps/api/js'.$map_path, array(), false, false );}
	}
}
add_action( 'wp_enqueue_scripts', 'bluerack_load_head_scripts' );

//global variables
function bluerack_bunch_global_variable() {
    global $wp_query;
}

function bluerack_enqueue_scripts() {
	$options = _WSH()->option();
	$meta = _WSH()->get_meta( '_bunch_header_settings' );
    //styles
	wp_enqueue_style( 'bootsnav', get_template_directory_uri() . '/css/bootsnav.css' );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css' );
	wp_enqueue_style( 'fontawesome-all', get_template_directory_uri() . '/css/fontawesome-all.min.css' );
	wp_enqueue_style( 'aos', get_template_directory_uri() . '/css/aos.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css' );
	wp_enqueue_style( 'owl', get_template_directory_uri() . '/css/owl.css' );
	wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/css/jquery.fancybox.min.css' );
	
	if(bluerack_set( $meta, 'version_style' )) $version_style = bluerack_set( $meta, 'version_style' ); else
	$version_style = bluerack_set($options, 'version_style', 'dark_version');
				
	if ( $version_style == 'dark_version') {
		wp_enqueue_style( 'bluerack-dark-version', get_template_directory_uri() . '/css/dark_version.css' );
	}
	else {
		wp_enqueue_style( 'bluerack-main-style', get_stylesheet_uri() );
	}
	
	wp_enqueue_style( 'bluerack-custom', get_template_directory_uri() . '/css/custom.css' );
	wp_enqueue_style( 'bluerack-tut', get_template_directory_uri() . '/css/tut.css' );
	wp_enqueue_style( 'bluerack-gutenberg', get_template_directory_uri() . '/css/gutenberg.css' );
	wp_enqueue_style( 'bluerack-responsive', get_template_directory_uri() . '/css/responsive.css' );
	
	
    //scripts
	wp_enqueue_script( 'jquery-ui-core', array( 'jquery' ), '2.1.2', true);
	wp_enqueue_script( 'bootsnav', get_template_directory_uri().'/js/bootsnav.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'aos', get_template_directory_uri().'/js/aos.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'owl', get_template_directory_uri().'/js/owl.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'fakeloader', get_template_directory_uri().'/js/fakeLoader.min.js', array( 'jquery' ), '2.1.2', true );
	wp_enqueue_script( 'jquery-fancybox', get_template_directory_uri().'/js/jquery.fancybox.js', array( 'jquery' ), '2.1.2', true );
	if( bluerack_set($options, 'map_api_key') ){
	wp_enqueue_script( 'bluerack-gmap3', get_template_directory_uri().'/js/gmap3.min.js', array( 'jquery' ), '2.1.2', true );
	}
	wp_enqueue_script( 'bluerack-main-script', get_template_directory_uri().'/js/custom.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
}
add_action( 'wp_enqueue_scripts', 'bluerack_enqueue_scripts' );

/*-------------------------------------------------------------*/
function bluerack_theme_slug_fonts_url() {
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $opensans = _x( 'on', 'Open Sans font: on or off', 'bluerack' );
	$overpass = _x( 'on', 'Overpass font: on or off', 'bluerack' );
	
    if ( 'off' !== $opensans || 'off' !== $overpass ) {
        $font_families = array();
 
        if ( 'off' !== $opensans ) {
            $font_families[] = 'Open Sans:300,400,600,700,800';
        }
		
		if ( 'off' !== $overpass ) {
            $font_families[] = 'Overpass:300,400,600,700,800,900';
        }
		
        $opt = get_option('bluerack'.'_theme_options');
		if ( bluerack_set( $opt, 'body_custom_font' ) ) {
			if ( $custom_font = bluerack_set( $opt, 'body_font_family' ) )
				$font_families[] = $custom_font . ':300,300i,400,400i,600,700';
		}
		if ( bluerack_set( $opt, 'use_custom_font' ) ) {
			$font_families[] = bluerack_set( $opt, 'h1_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = bluerack_set( $opt, 'h2_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = bluerack_set( $opt, 'h3_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = bluerack_set( $opt, 'h4_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = bluerack_set( $opt, 'h5_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = bluerack_set( $opt, 'h6_font_family' ) . ':300,300i,400,400i,600,700';
		}
		$font_families = array_unique( $font_families);
        
		$query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 		$protocol = is_ssl() ? 'https://' : 'http://';
        $fonts_url = add_query_arg( $query_args, ''.$protocol.'fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}
function bluerack_theme_slug_scripts_styles() {
    wp_enqueue_style( 'bluerack-theme-slug-fonts', bluerack_theme_slug_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'bluerack_theme_slug_scripts_styles' );
add_action( 'admin_enqueue_scripts', 'bluerack_theme_slug_scripts_styles' );
/*---------------------------------------------------------------------*/
function bluerack_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'bluerack_add_editor_styles' );
function bluerack_admin_style()
{
    wp_enqueue_style('admin-styles', get_template_directory_uri().'/css/admin.css');
    wp_enqueue_media();
    wp_enqueue_script('bluerack-admin-scripts', get_template_directory_uri().'/js/admin.js', array('jquery'), false, true);
}
add_action('admin_enqueue_scripts', 'bluerack_admin_style');