<!-- Pricing Tables -->
<?php $allowed_tags = wp_kses_allowed_html('post');?>
<div class="pricing-tables padding-top50 padding-bottom50">
    <div class="custom-width">
        <div class="row">
            <div class="main-title text-center">
                <h2><?php echo wp_kses($title, $allowed_tags); ?></h2>
                <p><?php echo wp_kses($text, $allowed_tags); ?> </p>
            </div>
            <?php foreach( $atts['price_plan'] as $key => $item ): ?>
            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                <div class="price <?php if($item->style_two === 'two'): ?>green-bg mobile-margin-top<?php elseif($item->style_two === 'three'): ?>price-margin-top<?php elseif($item->style_two === 'four'): ?>price-margin-top<?php else:?><?php endif; ?>"><?php echo wp_kses($item->price, $allowed_tags); ?> / <?php echo wp_kses($item->duration, $allowed_tags); ?></div>
                <div class="table <?php if($item->style_two === 'two'): ?>mobile-margin-bottom<?php else:?><?php endif; ?>">
                    <div class="table-img">
                        <img data-aos="fade-up" src="<?php echo esc_url($item->image); ?>" class="img-center img-responsive"
                            alt="<?php esc_attr_e('Awesome Image', 'bluerack')?>">
                    </div>
                    <div class="table-content">
                        <h4><?php echo wp_kses($item->plan_name, $allowed_tags); ?></h4>
                        <p><?php echo wp_kses($item->text, $allowed_tags); ?></p>
                        <div class="table-list">
                            <ul>
                                <?php $fearures = explode("\n", ($item->feature_str));
								foreach($fearures as $feature): ?>
								<li><?php echo wp_kses($feature, $allowed_tags); ?></li>
								<?php endforeach; ?>
                            </ul>
                        </div>
                        <div class="buttons">
                            <a href="<?php echo esc_url($item->btn_link); ?>" class="btn <?php if($item->button_style === 'two'): ?>btn-green btn-medium<?php else:?>btn-gray btn-medium<?php endif; ?>"> <?php echo wp_kses($item->btn_title, $allowed_tags); ?></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>
<!-- Pricing Tables content ends here -->