<!-- Home Page Carousel -->
<?php $allowed_tags = wp_kses_allowed_html('post');?>
<div class="home-carousel">
    <!-- Left sidebar -->
    <div class="left-sidebar">
        
        <div class="contact-links link-style">
            <?php foreach( $atts['contact_links'] as $keys => $item ): ?>
            <a data-toggle="modal" data-target="#myModal<?php echo esc_attr($keys); ?>"><i class="fa <?php echo esc_attr($item->icon2); ?>"></i></a>
        	<?php endforeach;?>
        </div>
        <div class="sidebar-socials link-style">
            <?php foreach( $atts['social_icon'] as $key => $value ): ?>
            <a href="<?php echo esc_url($value->social_link); ?>"><i class="fab <?php echo esc_attr($value->icon); ?>"></i></a>
            <?php endforeach;?>
        </div>
    </div>
    
    <?php foreach( $atts['contact_links'] as $keys => $item ): ?>
    <!-- MODAL  -->
    <div id="myModal<?php echo esc_attr($keys); ?>" class="modal fade" role="dialog">
        <div class="modal-dialog modal-sm">
            
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><?php echo wp_kses($item->title_2, $allowed_tags); ?></h4>
                </div>
                <div class="modal-body">
                    <div class="modal-contact">
                        <i class="fa fa-phone"></i>
                        <h4><?php echo wp_kses($item->phone_no, $allowed_tags); ?></h4>
                    </div>
                    <div class="modal-contact">
                        <i class="fa fa-envelope"></i>
                        <h4><?php echo sanitize_email($item->email); ?></h4>
                    </div>
                </div>
                <div class="modal-footer btn-style">
                    <button type="button" class="btn btn-blue btn-small" data-dismiss="modal"><?php esc_html_e('Close', 'bluerack'); ?></button>
                </div>
            </div>

        </div>
    </div>
    <!-- end of modal -->
    <?php endforeach;?>
    
    <!-- Left Sidebar ends here -->
    <div class="custom-width">
        <div class="row">
            <div class="tab-content">
                <?php foreach( $atts['hosting_tab'] as $key => $item ): ?>
                <div id="wordpress-<?php echo esc_attr($key); ?>" class="tab-pane fade in <?php if($key == 1) echo 'active'; ?>">
                    <div class="col-sm-6">
                        <div class="text-container">
                            <div class="home-title animated fadeInLeft">
                                <h2><?php echo wp_kses($item->title, $allowed_tags); ?></h2>
                                <h4 class="animation-text"><?php echo wp_kses($item->subtitle, $allowed_tags); ?></h4>
                                <p><?php echo wp_kses($item->text, $allowed_tags); ?></p>
                                <div class="buttons">
                                    <a href="<?php echo esc_url($item->btn_link); ?>" class="btn btn-medium btn-green btn-shadow"><?php echo wp_kses($item->btn_title, $allowed_tags); ?></a>
                                    <p><?php echo wp_kses($item->credit_card_info, $allowed_tags); ?></p>
                                </div>
                            </div>
                            <img src="<?php echo esc_url($item->bg_img); ?>" class="img-absolute" alt="<?php esc_attr_e('Awesome Image', 'bluerack'); ?>">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="img-container">
                            <img src="<?php echo esc_url($item->feature_img); ?>" class="img-responsive animated fadeInRight" alt="<?php esc_attr_e('Awesome Image', 'bluerack'); ?>">
                        </div>
                    </div>
                </div>
                <?php endforeach;?>
                
                <div class="col-sm-12">
                    <div class="tabs-switcher animated fadeInUp">
                        <ul class="nav nav-tabs">
                            <?php foreach( $atts['hosting_tab'] as $key => $item ): ?>
                            <li class="<?php if($key == 1) echo 'active'; ?>">
                                <a data-toggle="tab" href="#wordpress-<?php echo esc_attr($key); ?>"><?php echo wp_kses($item->tab_button_title, $allowed_tags); ?></a>
                            </li>
                            <?php endforeach;?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Home Page Carousel -->