<!-- Tab switcher -->
<?php $allowed_tags = wp_kses_allowed_html('post');?>
<div class="tabs padding-bottom30">
    <div class="hosting-tabs">
        <ul class="nav nav-tabs">
            <?php foreach( $atts['hosting_tab'] as $key => $item ): ?>
            <li class="<?php if($key == 1) echo 'active'; ?>">
                <div class="arrow-down">
                    <div class="arrow-down-inner"></div>
                </div>
                <a data-toggle="tab" href="#home-<?php echo esc_attr($key); ?>"><?php echo wp_kses($item->tab_button_title, $allowed_tags); ?></a>
            </li>
            <?php endforeach;?>
        </ul>
    </div>
    <div class="custom-width">
        <div class="row">
            <div class="tab-content">
                <?php foreach( $atts['hosting_tab'] as $key => $item ): ?>
                <div id="home-<?php echo esc_attr($key); ?>" class="tab-pane in <?php if($key == 1) echo 'active'; ?>">
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                        <img src="<?php echo esc_url($item->feature_img); ?>" class="img-responsive animated fadeInLeft"
                            alt="<?php esc_attr_e('Wordpress Hosting', 'bluerack'); ?>">
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                        <div class="text animated fadeInRight">
                            <div class="tab-title">
                                <h3><?php echo wp_kses($item->title, $allowed_tags); ?></h3>
                                <p><?php echo wp_kses($item->text, $allowed_tags); ?></p>
                            </div>
                            <div class="tab-lists">
                                <div class="host-feature">
                                    <i class="fa fa-check pull-left" data-aos="zoom-in"></i>
                                    <div class="text">
                                        <?php echo wp_kses($item->hosting_feature_v1, $allowed_tags); ?>
                                    </div>
                                </div>
                                <div class="host-feature">
                                    <i class="fa fa-check pull-left" data-aos="zoom-in" data-aos-delay="100"></i>
                                    <div class="text">
                                        <?php echo wp_kses($item->hosting_feature_v2, $allowed_tags); ?>
                                    </div>
                                </div>
                                <div class="host-feature">
                                    <i class="fa fa-check pull-left" data-aos="zoom-in" data-aos-delay="200"></i>
                                    <div class="text">
                                        <?php echo wp_kses($item->hosting_feature_v3, $allowed_tags); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endforeach;?>
            </div>
        </div>
    </div>
</div>
<!-- Tab Switcher ends here-->