(function($) {
	"use strict";

//GLOBAL CONFIGURATION FOR SCROLL ANIMATIONS
AOS.init({
  offset: 0,
  duration: 700,
  easing: 'ease',
  delay: 0,
  disable: 'mobile',
  once: true
});

/* Faq */
const items = document.querySelectorAll(".accordion a");

function toggleAccordion() {
  'use strict';
  this.classList.toggle('active');
  this.nextElementSibling.classList.toggle('active');
}
items.forEach(item => item.addEventListener('click', toggleAccordion));

// preloader
$("#fakeLoader").fakeLoader();
// preloader call ends here

/* Javascript code for pricing tables */
//var e = document.getElementById("filt-monthly"),
//    d = document.getElementById("filt-date"),
//    t = document.getElementById("switcher"),
//    m = document.getElementById("monthly"),
//    y = document.getElementById("yearly");
//
//e.addEventListener("click", function() {
//    t.checked = false;
//    e.classList.add("toggler--is-active");
//    d.classList.remove("toggler--is-active");
//    m.classList.remove("hide");
//    y.classList.add("hide");
//});
//
//d.addEventListener("click", function() {
//    t.checked = true;
//    d.classList.add("toggler--is-active");
//    e.classList.remove("toggler--is-active");
//    m.classList.add("hide");
//    y.classList.remove("hide");
//});
//
//t.addEventListener("click", function() {
//    d.classList.toggle("toggler--is-active");
//    e.classList.toggle("toggler--is-active");
//    m.classList.toggle("hide");
//    y.classList.toggle("hide");
//});

// Javascript code for typewriter
var TxtType = function (el, toRotate, period) {
  "use strict";
  this.toRotate = toRotate;
  this.el = el;
  this.loopNum = 0;
  this.period = parseInt(period, 10) || 2000;
  this.txt = '';
  this.tick();
  this.isDeleting = false;
};

TxtType.prototype.tick = function () {
  "use strict";
  var i = this.loopNum % this.toRotate.length;
  var fullTxt = this.toRotate[i];

  if (this.isDeleting) {
    this.txt = fullTxt.substring(0, this.txt.length - 1);
  } else {
    this.txt = fullTxt.substring(0, this.txt.length + 1);
  }

  this.el.innerHTML = '<span class="wrap">' + this.txt + '</span>';

  var that = this;
  var delta = 200 - Math.random() * 100;

  if (this.isDeleting) {
    delta /= 2;
  }

  if (!this.isDeleting && this.txt === fullTxt) {
    delta = this.period;
    this.isDeleting = true;
  } else if (this.isDeleting && this.txt === '') {
    this.isDeleting = false;
    this.loopNum++;
    delta = 500;
  }

  setTimeout(function () {
    that.tick();
  }, delta);
};

window.onload = function () {
  "use strict";
  var elements = document.getElementsByClassName('typewrite');
  for (var i = 0; i < elements.length; i++) {
    var toRotate = elements[i].getAttribute('data-type');
    var period = elements[i].getAttribute('data-period');
    if (toRotate) {
      new TxtType(elements[i], JSON.parse(toRotate), period);
    }
  }
  // INJECT CSS
  var css = document.createElement("style");
  css.type = "text/css";
  css.innerHTML = ".typewrite > .wrap { border-right: 0.06em solid #14d468}";
  document.body.appendChild(css);


	//Single Item Carousel
	if ($('.single-item-carousel').length) {
		$('.single-item-carousel').owlCarousel({
			loop:true,
			margin:0,
			nav:true,
			smartSpeed: 700,
			autoplay: true,
			navText: [ '<span class="fa fa-angle-left"></span>', '<span class="fa fa-angle-right"></span>' ],
			responsive:{
				0:{
					items:1
				},
				600:{
					items:1
				},
				1024:{
					items:1
				}
			}
		});    		
	}
	
	// Three Item Carousel
	if ($('.two-item-carousel').length) {
		$('.two-item-carousel').owlCarousel({
			loop:true,
			margin:30,
			nav:false,
			dots: true,
			smartSpeed: 500,
			autoplay: 4000,
			navText: [ '<span class="fa fa-angle-left"></span>', '<span class="fa fa-angle-right"></span>' ],
			responsive:{
				0:{
					items:1
				},
				480:{
					items:1
				},
				600:{
					items:1
				},
				700:{
					items:2
				},
				800:{
					items:2
				},
				1024:{
					items:2
				}
			}
		});    		
	}
	
	// Three Item Carousel
	if ($('.one-item-carousel').length) {
		$('.one-item-carousel').owlCarousel({
			loop:true,
			margin:30,
			nav:false,
			dots: true,
			smartSpeed: 500,
			autoplay: 4000,
			navText: [ '<span class="fa fa-angle-left"></span>', '<span class="fa fa-angle-right"></span>' ],
			responsive:{
				0:{
					items:1
				},
				480:{
					items:1
				},
				600:{
					items:1
				},
				700:{
					items:1
				},
				800:{
					items:1
				},
				1024:{
					items:1
				}
			}
		});    		
	}
	
	//LightBox / Fancybox
	if($('.lightbox-image').length) {
		$('.lightbox-image').fancybox({
			openEffect  : 'fade',
			closeEffect : 'fade',
			helpers : {
				media : {}
			}
		});
	}

	
	// Price Toggle Link
	if($('.pricing-section .pricing-option .option-inner .toggler').length){
		$(".pricing-section .pricing-option .option-inner .monthly-toggler").on('click', function() {
			$('.yearly-toggler').removeClass('active');
			$('.monthly-toggler').addClass('active');
			$('#yearly').fadeOut(0);
			$('#monthly').removeClass('hide').fadeIn(300);
			$('.pricing-section').removeClass('altered');
		});	
		$(".pricing-section .pricing-option .option-inner .yearly-toggler").on('click', function() {
			$('.monthly-toggler').removeClass('active');
			$('.yearly-toggler').addClass('active');
			$('#monthly').fadeOut(0);
			$('#yearly').removeClass('hide').fadeIn(300);
			$('.pricing-section').addClass('altered');
		});	
	}


};

})(jQuery);	